CREATE SYNONYM T1 for andrejliebert.T1;

CREATE TABLE T2 (
    Pk NUMBER PRIMARY KEY,
    Fk NUMBER,
    CONSTRAINT T2fk FOREIGN KEY (Fk) REFERENCES T1(Pk) ON DELETE CASCADE
);

GRANT SELECT ON T2 TO andrejliebert;

INSERT INTO T2 VALUES (1,1);
INSERT INTO T2 VALUES (2,1);
INSERT INTO T2 VALUES (3,2);
INSERT INTO T2 VALUES (4,3);

COMMIT;